<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Users/Linus/Documents/HiWi/SVT/MeLOn/myMeLOn/gaussian process/training/matlab/Direct/Direct.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_direct_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Direct.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a30b90a5a9a28f2ddef5ccbca316b6948"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_direct_8m.html#a30b90a5a9a28f2ddef5ccbca316b6948">function</a> [ret_minval, final_xatmin, history]</td></tr>
<tr class="separator:a30b90a5a9a28f2ddef5ccbca316b6948"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8924db6830dc2a76b7193b36d84714bb"><td class="memItemLeft" align="right" valign="top">user is recommended to manual that accompanies this&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_direct_8m.html#a8924db6830dc2a76b7193b36d84714bb">code</a></td></tr>
<tr class="separator:a8924db6830dc2a76b7193b36d84714bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a941d2b5f92db37c10af3ed77035087a3"><td class="memItemLeft" align="right" valign="top">user is recommended to manual that accompanies this and can be found&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_direct_8m.html#a941d2b5f92db37c10af3ed77035087a3">at</a></td></tr>
<tr class="separator:a941d2b5f92db37c10af3ed77035087a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8234fc45dee1b89c02d6bf287975f86a"><td class="memItemLeft" align="right" valign="top">user is recommended to manual that accompanies this and can be found&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_direct_8m.html#a8234fc45dee1b89c02d6bf287975f86a">fmin</a></td></tr>
<tr class="separator:a8234fc45dee1b89c02d6bf287975f86a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a941d2b5f92db37c10af3ed77035087a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a941d2b5f92db37c10af3ed77035087a3">&#9670;&nbsp;</a></span>at</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">user is recommended to manual that accompanies this and can be found at</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8924db6830dc2a76b7193b36d84714bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8924db6830dc2a76b7193b36d84714bb">&#9670;&nbsp;</a></span>code</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">user is recommended to manual that accompanies this code</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8234fc45dee1b89c02d6bf287975f86a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8234fc45dee1b89c02d6bf287975f86a">&#9670;&nbsp;</a></span>fmin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">user is recommended to manual that accompanies this and can be found fmin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a30b90a5a9a28f2ddef5ccbca316b6948"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30b90a5a9a28f2ddef5ccbca316b6948">&#9670;&nbsp;</a></span>function</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function[ret_minval, final_xatmin, history]</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= Direct...</div>
<div class="line">   (Problem,<a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#aa88cd70ec11880aa8a698595d0bc7aaa">bounds</a>,opts,varargin)</div>
<div class="line">% Function   : Direct Version 4.0</div>
<div class="line">% Written by : Dan Finkel (definkel@unity.ncsu.edu)</div>
<div class="line">% Created on : 01/27/2003</div>
<div class="line">% Last Update: 06/21/2004</div>
<div class="line">% Purpose    : Direct optimization algorithm.</div>
<div class="line">%</div>
<div class="line">% This <a class="code" href="_direct_8m.html#a8924db6830dc2a76b7193b36d84714bb">code</a> comes with no guarantee or warranty of any kind</div>
<div class="line">%</div>
<div class="line">%  If unfamiliar with <a class="code" href="_predict___g_p_8m.html#a22bc7da5dee34251e3eb8c4d96ef1a86">DIRECT</a></div>
</div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_aa88cd70ec11880aa8a698595d0bc7aaa"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#aa88cd70ec11880aa8a698595d0bc7aaa">bounds</a></div><div class="ttdeci">bounds</div><div class="ttdef"><b>Definition:</b> Train_GP_and_return_hyperparameters.m:62</div></div>
<div class="ttc" id="a_predict___g_p_8m_html_a22bc7da5dee34251e3eb8c4d96ef1a86"><div class="ttname"><a href="_predict___g_p_8m.html#a22bc7da5dee34251e3eb8c4d96ef1a86">DIRECT</a></div><div class="ttdeci">return function Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT</div><div class="ttdef"><b>Definition:</b> Predict_GP.m:130</div></div>
<div class="ttc" id="a_direct_8m_html_a8924db6830dc2a76b7193b36d84714bb"><div class="ttname"><a href="_direct_8m.html#a8924db6830dc2a76b7193b36d84714bb">code</a></div><div class="ttdeci">user is recommended to manual that accompanies this code</div><div class="ttdef"><b>Definition:</b> Direct.m:12</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_f620e5568ec0800ef52addb3e6877e12.html">gaussian process</a></li><li class="navelem"><a class="el" href="dir_1fc81c00cac59075ae13874c4e72a6a9.html">training</a></li><li class="navelem"><a class="el" href="dir_eb5cf4e9e40c78cd4a9a033353776a44.html">matlab</a></li><li class="navelem"><a class="el" href="dir_7230ccd47c4ac41a0e335ebe82cf4b99.html">Direct</a></li><li class="navelem"><a class="el" href="_direct_8m.html">Direct.m</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
